Bug 1685150 - Import of python34-ldap3 fails
Summary: Import of python34-ldap3 fails
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-ldap3
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 13:53 UTC by Gerald Prock
Modified: 2019-04-14 00:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-14 00:37:55 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 905757 None None None 2019-03-04 13:53 UTC

Description Gerald Prock 2019-03-04 13:53:08 UTC
Description of problem:
The import of "ldap3" fails

Version-Release number of selected component (if applicable):
python34-ldap3-2.5.1-2.el7.noarch

How reproducible:
Always with the named version

Steps to Reproduce:
# yum -y install python34-ldap3
# python
>>> import ldap3

Actual results:
>>> import ldap3
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.4/site-packages/ldap3/__init__.py", line 138, in <module>
    from .core.connection import Connection
  File "/usr/lib/python3.4/site-packages/ldap3/core/connection.py", line 37, in <module>
    from ..extend import ExtendedOperationsRoot
  File "/usr/lib/python3.4/site-packages/ldap3/extend/__init__.py", line 45, in <module>
    from .standard.whoAmI import WhoAmI
  File "/usr/lib/python3.4/site-packages/ldap3/extend/standard/whoAmI.py", line 27, in <module>
    from pyasn1.type.univ import NoValue
ImportError: cannot import name 'NoValue'


Expected results:
>>> import ldap3
>>>

Additional info:
On FC28 with "python3-ldap3-2.4.1-2.fc28.noarch" it is working as expected.

Comment 1 Fedora Update System 2019-03-29 10:01:41 UTC
python-ldap3-2.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ea4ff06cb0

Comment 2 Fedora Update System 2019-03-29 19:08:58 UTC
python-ldap3-2.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ea4ff06cb0

Comment 3 Fedora Update System 2019-04-14 00:37:55 UTC
python-ldap3-2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.